# Create a KV Table Creates a table in the Key-Value Database Storage. Endpoint: POST /kvservice.createtable/{tableName} Security: basic, X-PriceFx-jwt ## Path parameters: - `tableName` (string, required) A name of the table you want create. Only lower case letters, numbers and underscores are allowed. Do not use special characters. ## Request fields (application/json): - `data` (object) - `data.keys` (array) - `data.keys.columnType` (string) Enum: "UUID", "TEXT", "INT", "TIMESTAMP", "DECIMAL", "DATE" - `data.keys.columnName` (string) A unique name of the column. Only lower case letters, numbers and underscores are allowed. Do not use special characters. - `data.keys.isPrimaryKey` (boolean) Sets the column as a primary key. A primary key uniquely identifies a column, so it can be used for a look up. At least one column must be set as a primary key. - `data.keys.isIndexed` (boolean) Additional non-Primary Key columns can be added for further filtering (you cannot filter on “payload”). If also fast lookup on these secondary columns is required they should be indexed. See also [Performance Considerations](https://knowledge.pricefx.com/space/KB/3130624547/Key-Value+Database+Storage#Performance-Considerations). ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (object,null) - `response.status` (integer) - `response.startRow` (integer) - `response.endRow` (integer)